import dayjs from 'dayjs'

declare module 'vue-cropper'
declare module '*.vue' {
  import { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, any>
  export default component
}

declare module '@vue/runtime-core' {
  export interface ComponentCustomProperties {
    $dayjs: dayjs.Dayjs
  }
}

declare module 'vue' {
  interface CSSProperties {
    '--navBarHeight'?: string;
    '--barheight'?: string;
    '--creationHeight'?: string;
    '--staffBoxHeight'?: string;
  }
}
